Subject: Re: [irtf-discuss] Why do we need to go with 128 bits address space ?

From: Fernando Gont <[email-masked]>
Date: Wed, 23 Oct 2019 05:36:51 -0500

On 20/8/19 10:57, shyam bandyopadhyay wrote:
>  I thought of keeping quite as on the very first
> day I received suggestion from senior members to not to continue
> with this topic any more. But, I need to answer all the queries
> that I received so far as I am the one who have initiated this topic.
> 
> I guess (as it has not been documented any where) there
> were few issues based on which designers moved from 64 bits
> address space in SIPP (RFC 1710) to 128 bits address space in IPv6
> which appeared to be major issues during those days:
> 
> 1. To support SLAAC, by embedding 64 bits hardware address
> with the IP address. Recent studies shows (including RFC 8064,
> RFC 7217 and RFC 4941) that we need not embed hardware address
> with the IP address. RFC 7217 has stated size of IID need not
> be restricted to 64 bits. 

No. RFC7217 simply says that the algorithm works with any IID lengths.
But it doesn't cahnge the requirement of /64 for SLAAC.

-- 
Fernando Gont
e-mail: [email-masked] || [email-masked]
PGP Fingerprint: 7809 84F5 322E 45C7 F1C9 3945 96EE A9EF D076 FFF1